#include <qapplication.h>
#include <qwidget.h>
#include <qpushbutton.h>
#include "mydialog.h"


class MeinWidget : public QWidget
{
  public:
    MeinWidget (QWidget *parent=0, const char*name = 0);
  private:
    QPushButton *p;
};


MeinWidget::MeinWidget (QWidget *parent=0, const char*name = 0)
  : QWidget (parent, name)
{
  p = new QPushButton (this);
  Q_CHECK_PTR (p);
  p->setGeometry (0, 0, width () , height () / 2);
  QString x = QString::number (width ())+" "+QString::number (height ());
  p->setText (x);
  connect (p, SIGNAL (clicked()),  qApp, SLOT (quit()));
}


int main( int argc, char **argv )
{
    QApplication a (argc, argv);
    MyDialog hallo;
    a.setMainWidget (&hallo);
    hallo.show();
    return a.exec();
}
